<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions"
	xmlns:pc="http://java.sun.com/jsf/composite/custom_component"
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:security="http://www.springframework.org/security/tags"
	template="/WEB-INF/template.xhtml">

	<ui:define name="titre"> - Recette</ui:define>

	<ui:define name="subheader">
		<p:breadCrumb>
			<p:menuitem value="Page d'accueil" outcome="ACCUEIL" />
		</p:breadCrumb>
	</ui:define>


	<ui:define name="content">

		<script type="text/javascript">
			function handleAddIngredientRequest(xhr, status, args) {
				if (args.validationFailed) {
					PF('dlg_add_ingredient').jq.effect("shake", {
						times : 5
					}, 100);
				} else {
					PF('dlg_add_ingredient').hide();
				}
			}
		</script>


		<h:form id="form_recette">

			<pc:messages id="messages" />

			<div class="Container100">
				<div class="ContainerIndent">

					<div class="Card ShadowEffect">

						<p:panel id="panel_recette" style="text-align;"
							header="#{beanRecette.libelleHeader}">

							<p:panelGrid style="width: 100%;" styleClass="ui-panelgrid-blank">
								<p:row>
									<p:column>
										<p:outputLabel value="Libelle : " for="libelle" />
									</p:column>
									<p:column>
										<p:outputLabel value="Nombre Personnes : " for="nb" />
									</p:column>

								</p:row>

								<p:row>

									<p:column>
										<p:inputText id="libelle" maxlength="32"
											styleClass="Container80"
											value="#{beanRecette.recette.libelle}"
											readonly="#{!beanRecette.modificationGeneral}"
											required="true" requiredMessage="liobelle obligatoire" />
										<p:message for="libelle" display="tooltip" />
									</p:column>
									<p:column>
										<p:spinner id="nb" value="#{beanRecette.recette.nbPersonne}"
											rendered="#{beanRecette.modificationGeneral}" required="true"
											requiredMessage="Le nombre de personnes est obligatoire">
										</p:spinner>
										<p:inputText id="nbR" maxlength="32" styleClass="Container80"
											value="#{beanRecette.recette.nbPersonne}"
											rendered="#{!beanRecette.modificationGeneral}"
											readonly="true" required="true"
											requiredMessage="liobelle obligatoire" />
										<p:message for="nb" display="tooltip" />
									</p:column>

								</p:row>
							</p:panelGrid>

							<p:tab id="tab_ingredient" title="Liste Ingredients"
								rendered="#{beanRecette.recette.id != null}">
								<br />
								<h1 class="Fs15 Red BorderBottom">Liste Ingredients</h1>

								<br />

								<p:commandButton title="Ajouter un Ingredient"
									styleClass="PosAbsolute RaisedButton" icon="fa fa-plus"
									onclick="PF('dlg_add_ingredient').show();" />

								<p:dataTable id="table_ingredient"
									value="#{beanRecette.listeIngredientsRecette}" var="ingredient"
									emptyMessage="Aucun ingredients" rows="30"
									rowKey="#{recette.id}">

									<p:column headerText="Nom">
										<h:outputText value="#{ingredient.ingredient.libelle}" />
									</p:column>

									<p:column headerText="quantite">
										<h:outputText value="#{ingredient.quantite}" />
									</p:column>

								</p:dataTable>
							</p:tab>
						</p:panel>
					</div>
				</div>
			</div>


			<div class="form-actions-general">
				<p:toolbar id="toolBarAction">
					<p:toolbarGroup align="right">

						<p:commandButton value="supprimer" icon="fa fa-bitbucket"
							action="#{beanRecette.delete}" update="form_recette messages"
							styleClass="RedButton RaisedButton"
							rendered="#{!beanRecette.modificationGeneral}">
							<p:confirm header="Suppression"
								message="Confirmez vous la suppression de cette recette ?"
								icon="ui-icon-alert" />
						</p:commandButton>

						<p:separator rendered="#{!beanRecette.modificationGeneral}" />

						<p:commandButton id="boutton_modify" value="modifier"
							icon="fa fa-pencil"
							action="#{beanRecette.setModificationGeneral(true)}"
							update="form_recette" styleClass="OrangeButton RaisedButton"
							rendered="#{!beanRecette.modificationGeneral}" />
						<p:defaultCommand target="boutton_modify" />

						<p:commandButton value="annuler" icon="fa fa-ban"
							action="#{beanRecette.annuler}" update="form_recette"
							styleClass="RedButton RaisedButton"
							rendered="#{beanRecette.modificationGeneral and beanRecette.recette.id != null}"
							process="@this">
							<p:ajax update="panel_recette" resetValues="true" />
						</p:commandButton>

						<p:button value="annuler" icon="fa fa-ban" outcome="ACCUEIL"
							styleClass="RedButton RaisedButton"
							rendered="#{beanRecette.modificationGeneral and beanRecette.recette.id == null}" />

						<p:separator rendered="#{beanRecette.modificationGeneral}" />

						<p:commandButton id="boutton_save" value="enregistrer"
							icon="fa fa-check" action="#{beanRecette.save}"
							update="form_recette" styleClass="GreenButton RaisedButton"
							rendered="#{beanRecette.modificationGeneral}" />

						<p:defaultCommand target="boutton_save" />
					</p:toolbarGroup>
				</p:toolbar>
			</div>

		</h:form>

		<h:form id="form_dialog_add_ingredient">
			<pc:messages id="messages" />
			<p:dialog id="dialog_add_ingredient" header="Ajouter un ingredient"
				widgetVar="dlg_add_ingredient" modal="true" closeOnEscape="true"
				responsive="true">

				<p:ajax event="open" listener="#{beanRecette.openDialogIngredient}" />

				<p:ajax event="close" update="@this"
					listener="#{beanRecette.initDialogIngredient}" resetValues="true" />

				<p:outputLabel value="Ingredient :" for="ingredient" />

				<p:selectOneMenu id="ingredient" filter="true"
					filterMatchMode="contains"
					value="#{beanRecette.selectedIngredient}"
					converter="ingredientConverter" required="true"
					requiredMessage="ingredient obligatoire">
					<f:selectItem itemValue="" itemLabel="Selectionner un Ingredient" />
					<f:selectItems value="#{beanRecette.listeIngredients}"
						var="ingredient" itemLabel="#{ingredient.libelle}"
						itemValue="#{ingredient}" />
					<f:attribute name="listeIngredients"
						value="#{beanRecette.listeIngredients}" />


				</p:selectOneMenu>

				<p:outputLabel value="Quantite :" for="quantite" />

				<p:spinner id="quantite" value="#{beanRecette.ig.quantite}"
					required="true" requiredMessage="quantite obligatoire">
				</p:spinner>

				<f:facet name="footer">
					<p:commandButton id="add_ingredient" value="Ajouter"
						action="#{beanRecette.saveIngredient}"
						oncomplete="handleAddIngredientRequest(xhr, status, args)"
						update="form_recette:panel_recette messages" />
				</f:facet>
			</p:dialog>

		</h:form>


	</ui:define>

</ui:composition>